# FIXME: copyright

import logging
import sys

import server_common
import utils

def main():
    options = utils.get_daemon_options('Create a database for the signing '
                                       'server', '~/.rpmsigner/server.conf')
    logging.basicConfig(format='%(levelname)s: %(message)s',
                        level=utils.logging_level_from_options(options))
    try:
        config = server_common. \
            ServerBaseConfiguration(options.config_file,
                                    allow_missing_database_path=True)
    except utils.ConfigurationError, e:
        sys.exit(e.message)

    server_common.db_create(config)

if __name__ == '__main__':
    main()
